<template>
  <div>
    <label class="subscription-label">
      Номер будинку
      <input type="number" v-model="currentSubscription.houseNumber" class="subscription-input">
    </label>
    <label class="subscription-label">
      Кількість газет
      <input type="number" v-model="currentSubscription.newspaperQuantity" class="subscription-input">
    </label>
    <label class="subscription-label">
      Назви газет
      <input type="text" v-model="currentSubscription.newspaperNames" class="subscription-input">
    </label>
  </div>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  name: 'SubscriptionFilter',

  data() {
    return {
      currentSubscription: {},
    };
  },

  watch: {
    currentSubscription: {
      handler(newFilter) {
        this.onUpdateFilter(newFilter);
      },
      deep: true,
    },
  },

  methods: {
    ...mapActions(['onUpdateFilter']),
  },
};
</script>

<style lang="scss" scoped>
.subscription-label {
  display: block;
  margin-bottom: 15px;
  font-weight: bold;
}

.subscription-input {
  width: 100%;
  padding: 10px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
  transition: border-color 0.2s;
}

.subscription-input:focus {
  border-color: #3498db;
  outline: none;
}

</style>
